from lark import Lark 

grammar = """

start: attr+

attr: key ":" value
value: roll -> roll
     | lookup -> lookup

key: CNAME [("." CNAME)+]
?roll: INT "d" INT
lookup: CNAME "[" key "]"


%import common.CNAME
%import common.INT
%import common.WS
%ignore WS

"""

parser = Lark(grammar, parser='lalr')